#!/bin/bash

# Get the current working directory
current_directory="$(pwd)"
echo "Current directory: $current_directory"

# Navigate one folder up
#cd ..

# Get and display the new working directory
current_directory="$(pwd)"
echo "New directory: $current_directory"

# Specify the relative path to the docker-compose.yml
relative_path="DamageAssesmentApi"

# Combine the current directory with the relative path to get the full path to docker-compose.yml
#composeFile="$current_directory/DamageAssesmentApi/docker-compose.yml"
composeFile="../DamageAssesmentApi/docker-compose.yml"

# List of services to build, tag, and push
services=(
  "damageassesmentapianswers"
  "damageassesmentapiattachments"
  "damageassesmentapiemployees"
  "damageassesmentapilocations"
  "damageassesmentapiquestions"
  "damageassesmentapisurveys"
  "damageassesmentapidoculinks"
  "damageassesmentapiresponses"
)

# Log in to ACR (replace ACR_USERNAME and ACR_PASSWORD)
docker login dadeschoolscontainerregistry.azurecr.io -u dadeSchoolsContainerRegistry -p k1f8hE0O5hj3tYCCR/5stNrkw5BZoTmAqid/hvaVo8+ACRDc2Arn

# Loop through the services and build, tag, and push
for service in "${services[@]}"; do
  # Build the service
  docker-compose -f "$composeFile" build  #"$service"

  # Tag the image for ACR
  docker tag $service "dadeschoolscontainerregistry.azurecr.io/$service"

  # Push the image to ACR
  docker push "dadeschoolscontainerregistry.azurecr.io/$service"
done

# Get and display the current working directory
current_directory="$(pwd)"
echo "Current directory: $current_directory"

# Wait for a keypress
#echo "Press any key to continue..."
read -n 1 -s -r -p ""
